TikTok Shop products by GMV
GET
/api/public/v1/stats/tik_tok_shop_productsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Deprecated. It keeps working; new code should use /tik_tok_shop/products. See deprecations.
Operation id getTikTokShopProducts
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/stats/tik_tok_shop_products?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string (date) | required Default 10/04/2025 |
| end_date | query | string (date) | required Default 11/03/2025 |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.tik_tok_shop_products | object | |
| data.tik_tok_shop_products.products | array of object | |
| data.tik_tok_shop_products.products[].[].product_id | string | |
| data.tik_tok_shop_products.products[].[].product_name | string | |
| data.tik_tok_shop_products.products[].[].total_gmv | number (float) | |
| data.tik_tok_shop_products.products[].[].total_orders | integer | |
| data.tik_tok_shop_products.products[].[].unique_videos | integer | |
| success | boolean |
Example
{
"data": {
"tik_tok_shop_products": {
"products": [
{
"product_id": "string",
"product_name": "Example name",
"total_gmv": 125.5,
"total_orders": 3,
"unique_videos": 3
}
]
}
},
"success": true
}Errors: 401with an error and usually a message. See errors.
Example values are made up from each field's type and name.